#include <windows.h>
#include <winuser.h>
#include <stdio.h>
#include <conio.h>
#include "hb628.h"

#define TIMEOUT             5000 //ms
#define POLLING_INTERVAL    1000 //ms

unsigned char Com_Port_Number, Error, channel, value;

int main(void)
{
  //get comport number
  printf("Enter the HB628 com port number(1..255):");
  scanf("%d", &Com_Port_Number);

  //open com port
  if( !HB628_Open( Com_Port_Number, TIMEOUT ) )
  {
    printf("Can't open port!\n");
    return 1;
  }

  //get digital port
  printf("Select a digital output port(1..8):");
  scanf("%d", &channel);

  //get value
  printf("Enter the setting value(0..1):");
  scanf("%d", &value);

  //set digital port
  if( !HB628_Set_Digital_Output( channel, value, &Error ) )
  {
    printf("Error: %d!\n", Error);
    return 1;
  }

  HB628_Close();
  return 0;

}
