Attribute VB_Name = "HB628_Module"
Option Explicit

' Declare statements for all the functions in the HB628.dll
' NOTE: These statements assume that the DLL file is located in
'       the same directory as this project.
'       If you change the location of the DLL, be sure to change the location
'       in the declare statements also.
Public Declare Function HB628_Open Lib "hb628.dll" (ByVal ComPort As Byte, ByVal Timeout As Long) As Boolean
Public Declare Function HB628_Close Lib "hb628.dll" () As Boolean
Public Declare Function HB628_Read_Channel Lib "hb628.dll" (ByVal Channel As Byte, ByRef Result As Integer, ByRef Error As Byte) As Boolean
Public Declare Function HB628_Read_All_Channel Lib "hb628.dll" (ByRef Result_Array As Integer, ByRef Error As Byte) As Boolean
Public Declare Function HB628_Set_Digital_Output Lib "hb628.dll" (ByVal Channel As Byte, ByVal Value As Byte, ByRef Error As Byte) As Boolean
Public Declare Function HB628_Set_All_Digital_Output Lib "hb628.dll" (ByVal Value As Byte, ByRef Error As Byte) As Boolean
Public Declare Function HB628_Set_TimeOut Lib "hb628.dll" (ByVal Value As Byte, ByRef Error As Byte) As Boolean


'Errors
Public Const Err_No = 0    'no error
Public Const ERR_TX = 1    'Tx error
Public Const ERR_RX = 2    'Rx error
Public Const ERR_CS = 3    'control sum error
Public Const ERR_PARAM = 4 'parameters value error


